> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Feedback



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/user_feedback
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/user_feedback:
    get:
      tags:
        - user_feedback
      summary: List User Feedback
      operationId: list_user_feedback_api_v1_user_feedback_get
      parameters:
        - name: provider_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Provider Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
        - name: after_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: After Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResult_UserFeedbackResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    PaginatedResult_UserFeedbackResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/UserFeedbackResponse'
          type: array
          title: Items
        total_count:
          type: integer
          title: Total Count
        has_more:
          type: boolean
          title: Has More
          default: false
        next_page_token:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Next Page Token
          readOnly: true
      type: object
      required:
        - items
        - total_count
        - next_page_token
      title: PaginatedResult[UserFeedbackResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserFeedbackResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        provider_id:
          type: string
          format: uuid
          title: Provider Id
        task_id:
          type: string
          format: uuid
          title: Task Id
        context_id:
          type: string
          format: uuid
          title: Context Id
        rating:
          type: integer
          title: Rating
        message:
          type: string
          title: Message
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        comment_tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Comment Tags
        created_at:
          type: string
          format: date-time
          title: Created At
        agent_name:
          type: string
          title: Agent Name
      type: object
      required:
        - id
        - provider_id
        - task_id
        - context_id
        - rating
        - message
        - created_at
        - agent_name
      title: UserFeedbackResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````